> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ghostsecurity.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get review

> Get detailed information about a specific review



## OpenAPI

````yaml https://api.ghostsecurity.ai/openapi.json get /v2/reviews/{id}
openapi: 3.1.0
info:
  contact:
    email: support@ghostsecurity.com
    name: Ghost Security
    url: https://ghostsecurity.com/
  description: 'Provide your Bearer token as: Bearer <token>'
  title: Ghost API
  version: 2.0.0
servers:
  - description: Ghost Security API server
    url: https://api.ghostsecurity.ai
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v2/reviews/{id}:
    get:
      tags:
        - reviews.v2
      summary: Get review
      description: Get detailed information about a specific review
      parameters:
        - description: Review ID
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.Review'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorBadRequest'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorUnauthorized'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorNotFound'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorInternalServerError'
          description: Internal Server Error
      security:
        - bearerauth: []
components:
  schemas:
    types.Review:
      description: Review
      properties:
        closed_issue_count:
          example: 0
          type: integer
        created_at:
          example: '2025-01-01T00:00:00Z'
          type: string
        id:
          example: csUT18jx0mY
          type: string
        last_review_at:
          example: '2025-01-01T00:00:00Z'
          type: string
        open_high_count:
          example: 0
          type: integer
        open_issue_count:
          example: 0
          type: integer
        open_low_count:
          example: 0
          type: integer
        open_medium_count:
          example: 0
          type: integer
        pr_author:
          example: author
          type: string
        pr_link:
          example: https://github.com/owner/repo/pull/1
          type: string
        pr_number:
          example: 1
          type: integer
        pr_status:
          example: open
          type: string
        pr_title:
          example: Fix bug
          type: string
        provider:
          example: github
          type: string
        repo_id:
          example: 08PB3zptlr8
          type: string
        repo_name:
          example: repo
          type: string
        repo_owner:
          example: owner
          type: string
        repo_url:
          example: https://github.com/owner/repo
          type: string
        status_override_available:
          example: true
          type: boolean
        updated_at:
          example: '2025-01-01T00:00:00Z'
          type: string
      type: object
    types.ErrorBadRequest:
      description: Error response for bad requests
      properties:
        error:
          description: Error message
          example: Invalid request body
          type: string
      type: object
    types.ErrorUnauthorized:
      description: Error response for unauthorized requests
      properties:
        error:
          description: Error message
          example: Unauthorized
          type: string
      type: object
    types.ErrorNotFound:
      properties:
        error:
          description: Error message
          example: Resource not found
          type: string
      type: object
    types.ErrorInternalServerError:
      description: Error response for internal server errors
      properties:
        error:
          description: Error message
          example: Internal server error
          type: string
      type: object
  securitySchemes:
    bearerauth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````